Package pyamf :: Package adapters :: Module _sqlalchemy_orm :: Class SaMappedClassAlias

[hide private]
[frames] | no frames]

# Class SaMappedClassAlias

source code

Instance Methods | [hide private]

getCustomProperties(self) Overrride this to provide known static properties based on the aliased class. | source code

getEncodableAttributes(self, obj, **kwargs) Returns a `tuple` containing a dict of static and dynamic attributes for `obj`. | source code

getDecodableAttributes(self, obj, attrs, **kwargs) Returns a dictionary of attributes for `obj` that has been filtered, based on the supplied `attrs`. | source code

Inherited from `ClassAlias`: `__eq__`, `__hash__`, `__init__`, `__repr__`, `__str__`, `applyAttributes`, `checkClass`, `compile`, `createInstance`, `getProxiedAttribute`, `is_compiled` Inherited from `ClassAlias` (private): `_checkExternal`, `_compile_base_class`, `_finalise_compile` Inherited from `object`: `__delattr__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables | [hide private]

| KEY_ATTR = ``'``sa_key``'``
| LAZY_ATTR = ``'``sa_lazy``'``
| EXCLUDED_ATTRS = ``[``'``_entity_name``'``,` `'``_instance_key``'``,` `'``_sa_adapte``...``
| STATE_ATTR = ``'``_sa_instance_state``'``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### getCustomProperties(self)

source code

Overrride this to provide known static properties based on the aliased class.

Overrides: ClassAlias.getCustomProperties
  (inherited documentation)

### getEncodableAttributes(self, obj, **kwargs)

source code

Returns a `tuple` containing a dict of static and dynamic attributes for `obj`.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.getEncodableAttributes

### getDecodableAttributes(self, obj, attrs, **kwargs)

source code

Returns a dictionary of attributes for `obj` that has been filtered, based on the supplied `attrs`. This allows for fine grain control over what will finally end up on the object or not ..

Parameters:
  - `obj` - The reference object.
  - `attrs` - The attrs dictionary that has been decoded.
  - `codec` - An optional argument that will contain the codec instance calling this function.
Returns:
  A dictionary of attributes that can be applied to `obj`
Overrides: ClassAlias.getDecodableAttributes

Class Variable Details | [hide private]

### EXCLUDED_ATTRS

Value:

      ['_entity_name',
       '_instance_key',
       '_sa_adapter',
       '_sa_appender',
       '_sa_class_manager',
       '_sa_initiator',
       '_sa_instance_state',
       '_sa_instrumented',
      ...